> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.taigabilling.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.taigabilling.com/_mcp/server.

# Update guarantor

PATCH https://api.taigabilling.com/api/guarantors/v1/{guarantor_id}
Content-Type: application/json

Updates a guarantor by its `guarantor_id`.

Reference: https://docs.taigabilling.com/api-reference/guarantor-v-1/guarantor-v-1-update

## Authentication

- `Authorization` header (bearer token, required) — Send your Taiga API key as a Bearer token. Create and manage keys in the Taiga developer portal.

## Servers

- `https://api.taigabilling.com` (Production, default)
- `https://api-staging.taigabilling.com` (Staging)

## Request

### Path parameters

- `guarantor_id` (string, required)

### Body (application/json)

This endpoint expects a guarantorv1GuarantorUpdate.

- `first_name` (string, optional, nullable)
- `last_name` (string, optional, nullable)
- `external_id` (string, optional, nullable) — A unique identifier for the guarantor assigned by an external system.
- `date_of_birth` (date, optional, nullable) — Date formatted as YYYY-MM-DD; eg: 2019-08-25.
- `address` (StreetAddressShortZip, optional, nullable)
- `phone_numbers` (list of PhoneNumber, optional, nullable)
- `phone_consent` (boolean, optional, nullable)
- `email` (string, optional, nullable)
- `email_consent` (boolean, optional, nullable)
- `auto_charge_consent` (boolean, optional, nullable)

## Response

### 200

- `address` (StreetAddressShortZip, required)
- `auto_charge_consent` (boolean, required)
- `email_consent` (boolean, required)
- `external_id` (string, required)
- `first_name` (string, required)
- `guarantor_id` (string, required)
- `last_name` (string, required)
- `phone_consent` (boolean, required)
- `phone_numbers` (list of PhoneNumber, required)
- `date_of_birth` (date, optional, nullable)
- `email` (string, optional, nullable)

## Types

### StreetAddressShortZip

- `address1` (string, required)
- `city` (string, required)
- `state` (enum, required)
  - Allowed values: `AA`, `AE`, `AP`, `AL`, `AK`, `AS`, `AZ`, `AR`, `CA`, `CO`, `CT`, `DC`, `DE`, `FL`, `FM`, `GA`, `GU`, `HI`, `ID`, `IL`, `IN`, `IA`, `KS`, `KY`, `LA`, `ME`, `MD`, `MA`, `MH`, `MI`, `MN`, `MP`, `MS`, `MO`, `MT`, `NE`, `NV`, `NH`, `NJ`, `NM`, `NY`, `NC`, `ND`, `OH`, `OK`, `OR`, `PA`, `PR`, `PW`, `RI`, `SC`, `SD`, `TN`, `TX`, `UT`, `VI`, `VT`, `VA`, `WA`, `WV`, `WI`, `WY`, `FC`
- `zip_code` (string, required) — 5-digit zip code
- `address2` (string, optional, nullable)
- `zip_plus_four_code` (string, optional, nullable) — 4-digit zip add-on code https://en.wikipedia.org/wiki/ZIP_Code#ZIP+4

### PhoneNumber

- `number` (string, required)
- `type` (enum, required)
  - Allowed values: `Home`, `Mobile`, `Work`

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "address": {
    "address1": "string",
    "city": "string",
    "state": "AA",
    "zip_code": "string",
    "address2": "string",
    "zip_plus_four_code": "string"
  },
  "auto_charge_consent": true,
  "email_consent": true,
  "external_id": "string",
  "first_name": "string",
  "guarantor_id": "string",
  "last_name": "string",
  "phone_consent": true,
  "phone_numbers": [
    {
      "number": "1234567890",
      "type": "Home"
    }
  ],
  "date_of_birth": "2023-01-15",
  "email": "string"
}
```

**SDK Code**

```python
import requests

url = "https://api.taigabilling.com/api/guarantors/v1/guarantor_id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.patch(url, json=payload, headers=headers)

print(response.json())
```